Search for a patient with demographics

Last updated: Apr 14, 2026
IMPLEMENTATION
HEALTH TECH VENDOR
PRODUCT OWNER

You can use this API action to retrieve a patient's record from an EHR system with demographics. This is helpful if you don't know any of the patient's identifiers.

Search with patient identifier or demographics?

You can locate a patients record in an EHR system with either an identifier or with demographics. So how do you know which to use and when?

Using patient demographics:

  • allows you as an outsider (stay gold, Ponyboy) to search a system that you dont have access to; and
  • locates the patient identifier if you don't have one already.

This back-door alternative is fantastic if you have the patients info, minus the appropriate identifier. We can still help you find the right patient with a little extra time.

On the flip side, using the patient identifier:

  • saves time since you only populate one field instead of a handful of demographics fields; and
  • likely locates the correct patient since identifiers are typically more unique than patient demographics.

The catch is that you have to already have a patient identifier, like the MRN, on hand. If you do, we definitely recommend this option. We also recommend validating you found the right patient (because you don't ever make typos, right?) by confirming the returned patient's demographics match your patient. Once confirmed, you can start retrieving the patients relevant clinical data. Learn more about searching with patient identifier.

Use cases

This API action may be a good fit for your organization if you perform any of these use cases:

  • Tie patient records from your system to the patient’s record in the relevant EHR.
  • Fill the gaps in demographics you have for a specific patient by using a few data points to locate a more comprehensive set of data.
  • Search for a patient in a large integration network, like the Carequality Interoperability Framework.

Supported systems

You can use this API action with the Redox FHIR® API.

Your connection's system can return results with their own FHIR® or query-based API.

Using data on demand

Your connection's system may not support a query-based data exchange, but they may still be willing to provide results with a push-based method.

However, we understand that you may not want to store all that data. Maybe you don't need all the possible results and just want to query for what you want when you need it. If so, you can use this API action via our data on demand service, which stores the connection's data so that you can query from Redox "on demand." Learn about data on demand.

Things you need to know

What's next?

Does this API action seem like a good fit for your unique workflow? Let your Technical Account Manager know! To start development, download the resource schema noted in the related action step. Then decide which data elements you need.

If you’re new to Redox, use the Quickstart guide to dive in. If you’re not engaged with our sales team yet, talk to a Redoxer to get started.

Action steps

  • 1
    Search for a patient with demographics
    required

This table has notes about how to use parameters for this API action specifically, but it's not exhaustive. Refer to the Patient schema for more details.

Query parameter

Required

Notes

given

Y

Typically the patient's first name.

family

Y

Typically the patient's last name.

birthdate

Y

The patient's date of birth.

Depending on the EHR system, you may receive one result per search, a list of results, or no results at all. 

Multi-region users

If you’re operating in Canada, you have to add the ca region to the Redox endpoint URL: https://api.ca.redoxengine.com.

Patient/_search
Query
bash
1
curl 'https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Patient/_search' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'given=Keva' \
6
--data-urlencode 'family=Green' \
7
--data-urlencode 'birthdate=1995-08-26'
Response
json
1
{
2
"id": "fc7b832c-2a3b-4b17-80e7-2dbc81109f8f",
3
"type": "searchset",
4
"entry": [
5
{
6
"search": {
7
"mode": "match",
8
"score": 1
9
},
10
"resource": {
11
"id": "81c2f5eb-f99f-40c4-b504-59483e6148d7",
12
"meta": {
13
"lastUpdated": "2020-10-29T20:06:13.429Z"
14
},
15
"name": [
16
{
17
"use": "official",
18
"given": [
19
"Keva"
20
],
21
"family": "Green"
22
}
23
],
24
"active": true,
25
"gender": "female",
26
"address": [
27
{
28
"use": "home",
29
"city": "Hillsboro",
30
"line": [
31
"932 Stehr Vista"
32
],
33
"state": "OR",
34
"postalCode": "97123"
35
}
36
],
37
"birthDate": "1995-08-26",
38
"extension": [
39
{
40
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race",
41
"extension": [
42
{
43
"url": "text",
44
"valueString": "White"
45
}
46
]
47
},
48
{
49
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity",
50
"extension": [
51
{
52
"url": "ombCategory",
53
"valueCoding": {
54
"code": "2186-5",
55
"system": "urn:oid:2.16.840.1.113883.6.238",
56
"display": "Non Hispanic or Latino"
57
}
58
},
59
{
60
"url": "text",
61
"valueString": "Not hispanic or latino"
62
}
63
]
64
}
65
],
66
"identifier": [
67
{
68
"value": "kyHGADnvX3xbkU4V9ayaqh",
69
"system": "urn:redox:redox-fhir-sandbox:MR"
70
}
71
],
72
"resourceType": "Patient",
73
"deceasedDateTime": null
74
}
75
}
76
],
77
"total": 1,
78
"resourceType": "Bundle"
79
}

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.